PHP Manual
Prev |  | Next

# SDO_Sequence::getPropertyName

(no version information, might be only in CVS)

SDO_Sequence::getPropertyName -- Return the property name for the specified sequence index

## Description

string SDO_Sequence::getPropertyName ( int sequenceIndex )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Return the property name for the specified sequence index. If the sequence item is unstructured text rather than a data object property, then a value of NULL is returned.

## Parameters

sequenceIndex

  The sequence index for which we wish to determine the associated data object property name.

## Return Values

The corresponding property name. A value of NULL means the element does not belong to a property and must therefore be unstructured text.

## Exceptions

SDO_IndexOutOfBoundsException

  Thrown if the sequence index is less than zero or greater than the size of the sequence.

Prev | Home | Next
SDO_Sequence::getPropertyIndex | Up | SDO_Sequence::insert